Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.server
Class ViewLinkDefImpl

`java.lang.Object
oracle.jbo.common.NamedObjectImpl
oracle.jbo.mom.DefinitionObject
oracle.jbo.server.DefObject
oracle.jbo.server.AssociationDefBase
oracle.jbo.server.ViewLinkDefImpl`

All Implemented Interfaces:
  oracle.jbo.server.Association, VariableManagerOwner

public class ViewLinkDefImpl
extends AssociationDefBase

     NAME
          ViewLinkDefImpl.java -
     DESCRIPTION

          The ViewLinkDefImpl describes relationship between two query objects.

     NOTES

     VERSION
     MODIFIED   (MM/DD/YY)
        jloropez 06/08/04 -

Version:
  PUBLIC

Field Summary
`protected java.lang.String` | `mAssocClause`
`protected oracle.jbo.server.EntityAssociationReference` | `mAssocRef`
`protected java.lang.String` | `mReverseAssocClause`

Fields inherited from class oracle.jbo.server.AssociationDefBase
`mComponentClass`

Fields inherited from class oracle.jbo.mom.DefinitionObject
`mBaseDefObject, mExtendedDefObjects, mObjectResolved`

Fields inherited from class oracle.jbo.common.NamedObjectImpl
`mFullName, mObjName, mParent, mProperties`

Constructor Summary
`ViewLinkDefImpl()` Constructs a query association

Method Summary
`static ViewLinkDefImpl` | `findDefObject(java.lang.String viewLinkDefName)` Finds the ViewLinkDefImpl from the statically maintained list of Meta Objects.
`static ViewLinkDefImpl` | `findDefObjectNoSub(java.lang.String viewLinkDefName)` Finds the ViewLinkDefImpl from the statically maintained list of Meta Objects.
`int` | `getBindingStyle()`
`java.lang.Class` | `getComponentClass()` Gets the Java `Class` of the component that this definition object describes, i.e., oracle.jbo.server.ViewLinkImpl.
`ViewAttributeDefImpl[]` | `getDestinationBindVariables()`
`EntityAssociation` | `getEntityAssociation()`
`oracle.jbo.server.EntityAssociationReference` | `getEntityAssociationReference()`
`boolean` | `isEntityAssociationReversed()`
`boolean` | `isPartitionUsingWhereClause(boolean isReversed)`
`static ViewLinkDefImpl` | `loadFromXML(DefElement xmlElement)` Create the EntityDefImpl from XML.
`protected void` | `resolveReferences()`
`void` | `setDestinationBindVariables(ViewAttributeDefImpl[] vars)`
`void` | `setEntityAssociationReference(oracle.jbo.server.EntityAssociationReference assocRef)`

Methods inherited from class oracle.jbo.server.AssociationDefBase
`ensureVariableManager, findEndAccessorByName, findEndByName, finishedLoading, getAccessors, getAttributeDefImpls, getAttributeDefImplsByEndName, getBaseDefObject, getClientProxyClassName, getComponentInterfaceName, getDefs, getDestinationEnd, getDestinationOwner, getEffectiveClientProxyClassName, getEffectiveComponentInterfaceName, getMessageBundleClass, getName, getOtherAttributeDefImpls, getPackageDef, getPackageName, getSourceEnd, getSourceOwner, getVariableManager, getVarMgrParents, hasVariables, loadProperties, loadVariables, setBaseDefObject, setClientProxyClassName, setComponentInterfaceName, setMessageBundleClass, setName, setParent`

Methods inherited from class oracle.jbo.mom.DefinitionObject
`addExtendedDefObject, getContainerDef, getContainerName, getExtendedDefObjects, hasExtendedDefObjects, isBaseDefFor, isDynamicDefinitionObject, isObjectResolved, setObjectResolved`

Methods inherited from class oracle.jbo.common.NamedObjectImpl
`getFullName, getParent, getProperties, getPropertiesAsStrings, getPropertiesMap, getProperty, refreshProperty, setFullName, setPropertiesMap, setProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### mAssocRef

    protected oracle.jbo.server.EntityAssociationReference mAssocRef

### mAssocClause

    protected java.lang.String mAssocClause

### mReverseAssocClause

    protected java.lang.String mReverseAssocClause

Constructor Detail

### ViewLinkDefImpl

    public ViewLinkDefImpl()

  Constructs a query association

Method Detail

### findDefObjectNoSub

    public static ViewLinkDefImpl findDefObjectNoSub(java.lang.String viewLinkDefName)

  Finds the ViewLinkDefImpl from the statically maintained list of Meta Objects. Performs essentially the same operation as `findDefObject`, except that it does not observe meta-object substitution.
  Parameters:
    `viewLinkDefName` - The fully qualified Name of the ViewDefImpl.
  Returns:
    The View Link definition object corresponding to the specified name.

### findDefObject

    public static ViewLinkDefImpl findDefObject(java.lang.String viewLinkDefName)

  Finds the ViewLinkDefImpl from the statically maintained list of Meta Objects.
  Parameters:
    `viewLinkDefName` - The fully qualified Name of the ViewDefImpl.
  Returns:
    The View Link definition object corresponding to the specified name.

### getComponentClass

    public java.lang.Class getComponentClass()

  Gets the Java `Class` of the component that this definition object describes, i.e., oracle.jbo.server.ViewLinkImpl.
  Returns:
    the component class.

### getBindingStyle

    public int getBindingStyle()

### isEntityAssociationReversed

    public boolean isEntityAssociationReversed()

### getEntityAssociationReference

    public oracle.jbo.server.EntityAssociationReference getEntityAssociationReference()

  Returns:
    The EntityAssociationReference.

### setEntityAssociationReference

    public void setEntityAssociationReference(oracle.jbo.server.EntityAssociationReference assocRef)

  Parameters:
    `assocRef` - The EntityAssociationReference.

### getEntityAssociation

    public EntityAssociation getEntityAssociation()

  Returns:
    The EntityAssociation.

### getDestinationBindVariables

    public ViewAttributeDefImpl[] getDestinationBindVariables()

  Returns:
    The destination bind variables.

### isPartitionUsingWhereClause

    public boolean isPartitionUsingWhereClause(boolean isReversed)

### setDestinationBindVariables

    public void setDestinationBindVariables(ViewAttributeDefImpl[] vars)

  Parameters:
    `vars` - The list of AttributeDefImpls as bind variables on other end.

### loadFromXML

    public static ViewLinkDefImpl loadFromXML(DefElement xmlElement)

  Create the EntityDefImpl from XML.
  Parameters:
    `xmlElement` - The XML doc to load from.
  Throws:
    `PersistenceException` - upon loading errors.

### resolveReferences

    protected void resolveReferences()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.